Problem Update to 2.0.0

[root@server1 ~]# sh <(curl https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade .sh || wget -O - https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/preUpgrade.sh)
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 396 100 396 0 0 1115 0 --:–:-- --:–:-- --:–:-- 1118

Checking server…

Press Enter key to continue with latest version or Enter specific version such as: 1.9.4 , 1.9.5 …e tc

If nothing is input in 10 seconds , script will proceed with latest stable.

Please press Enter key , or specify a version number ,or wait for 10 seconds timeout:

Branch name set to v2.0.0

Checking root privileges…

You are runing as root…

Checking OS…

Detecting CentOS 7.X…

Loaded plugins: fastestmirror, priorities
Cleaning repos: OVH-metrics OVH-rtm base copr:copr.fedorainfracloud.org:copart:restic
: dovecot-2.3-latest epel extras gf gf-plus ius litespeed-mirror
: litespeed-update-mirror lux mariadb-mirror ovhkernel powerdns-auth-42 updates
Cleaning up list of fastest mirrors
Other repos take up 4.7 M of disk space (use --verbose for details)
Loaded plugins: fastestmirror, priorities
Determining fastest mirrors
epel/x86_64/metalink | 31 kB 00:00:00

  • epel: mirror.wd6.net
    OVH-metrics | 2.9 kB 00:00:00
    OVH-rtm | 2.9 kB 00:00:00
    base | 3.6 kB 00:00:00
    copr:copr.fedorainfracloud.org:copart:restic | 3.3 kB 00:00:00
    dovecot-2.3-latest | 2.9 kB 00:00:00
    epel | 4.7 kB 00:00:00
    extras | 2.9 kB 00:00:00
    gf | 2.9 kB 00:00:00
    gf-plus | 2.9 kB 00:00:00
    ius | 1.3 kB 00:00:00
    litespeed-mirror | 3.6 kB 00:00:00
    litespeed-update-mirror | 3.6 kB 00:00:00
    lux | 2.9 kB 00:00:00
    mariadb-mirror | 2.9 kB 00:00:00
    ovhkernel | 2.9 kB 00:00:00
    powerdns-auth-42 | 2.9 kB 00:00:00
    updates | 2.9 kB 00:00:00
    (1/22): base/7/x86_64/group_gz | 165 kB 00:00:00
    (2/22): dovecot-2.3-latest/7/x86_64/primary_db | 10 kB 00:00:00
    (3/22): OVH-rtm/7/x86_64/primary_db | 8.0 kB 00:00:00
    (4/22): OVH-metrics/7/x86_64/primary_db | 9.6 kB 00:00:00
    (5/22): epel/x86_64/group_gz | 95 kB 00:00:00
    (6/22): extras/7/x86_64/primary_db | 165 kB 00:00:00
    (7/22): base/7/x86_64/primary_db | 6.0 MB 00:00:00
    (8/22): epel/x86_64/updateinfo | 1.0 MB 00:00:00
    (9/22): gf/x86_64/primary_db | 44 kB 00:00:00
    (10/22): epel/x86_64/primary_db | 6.8 MB 00:00:01
    (11/22): litespeed-mirror/group_gz | 855 B 00:00:00
    (12/22): litespeed-update-mirror/group_gz | 855 B 00:00:00
    (13/22): litespeed-update-mirror/primary_db | 99 kB 00:00:00
    (14/22): gf-plus/x86_64/primary_db | 105 kB 00:00:00
    (15/22): litespeed-mirror/primary_db | 160 kB 00:00:00
    (16/22): ovhkernel/primary_db | 32 kB 00:00:00
    (17/22): copr:copr.fedorainfracloud.org:copart:restic/x86_64/primary_db | 3.1 kB 00:00:01
    (18/22): ius/x86_64/primary | 108 kB 00:00:00
    (19/22): lux/7/primary_db | 1.1 MB 00:00:00
    (20/22): powerdns-auth-42/7/x86_64/primary_db | 59 kB 00:00:00
    (21/22): mariadb-mirror/primary_db | 18 kB 00:00:00
    (22/22): updates/7/x86_64/primary_db | 7.6 MB 00:00:00
    ius 458/458
    12 packages excluded due to repository priority protections
    Resolving Dependencies
    → Running transaction check
    —> Package openlitespeed.x86_64 0:1.6.10-1.el7 will be updated
    —> Package openlitespeed.x86_64 0:1.6.11-1.el7 will be an update
    —> Package pdns.x86_64 0:4.2.1-1pdns.el7 will be updated
    —> Package pdns.x86_64 0:4.2.2-1pdns.el7 will be an update
    —> Package pdns-backend-mysql.x86_64 0:4.2.1-1pdns.el7 will be updated
    —> Package pdns-backend-mysql.x86_64 0:4.2.2-1pdns.el7 will be an update
    → Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================
Package Arch Version Repository Size

Updating:
openlitespeed x86_64 1.6.11-1.el7 litespeed-mirror 37 M
pdns x86_64 4.2.2-1pdns.el7 powerdns-auth-42 3.0 M
pdns-backend-mysql x86_64 4.2.2-1pdns.el7 powerdns-auth-42 43 k

Transaction Summary

Upgrade 3 Packages

Total download size: 40 M
Downloading packages:
No Presto metadata available for powerdns-auth-42
No Presto metadata available for litespeed-mirror
warning: /var/cache/yum/x86_64/7/powerdns-auth-42/packages/pdns-backend-mysql-4.2.2-1pdns.el7.x86_64. rpm: Header V4 RSA/SHA256 Signature, key ID fd380fbb: NOKEY
Public key for pdns-backend-mysql-4.2.2-1pdns.el7.x86_64.rpm is not installed
(1/3): pdns-backend-mysql-4.2.2-1pdns.el7.x86_64.rpm | 43 kB 00:00:00
(2/3): pdns-4.2.2-1pdns.el7.x86_64.rpm | 3.0 MB 00:00:00
(3/3): openlitespeed-1.6.11-1.el7.x86_64.rpm | 37 MB 00:00:04

Total 8.9 MB/s | 40 MB 00:00:04
Retrieving key from https://repo.powerdns.com/FD380FBB-pub.asc
Importing GPG key 0xFD380FBB:
Userid : “PowerDNS Release Signing Key powerdns.support@powerdns.com
Fingerprint: 9faa a557 7e8f cf62 093d 036c 1b0c 6205 fd38 0fbb
From : https://repo.powerdns.com/FD380FBB-pub.asc
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Updating : pdns-4.2.2-1pdns.el7.x86_64 1/6
Updating : pdns-backend-mysql-4.2.2-1pdns.el7.x86_64 2/6
Updating : openlitespeed-1.6.11-1.el7.x86_64 3/6
Cleanup : pdns-backend-mysql-4.2.1-1pdns.el7.x86_64 4/6
Cleanup : openlitespeed-1.6.10-1.el7.x86_64 5/6
Cleanup : pdns-4.2.1-1pdns.el7.x86_64 6/6
Verifying : pdns-backend-mysql-4.2.2-1pdns.el7.x86_64 1/6
Verifying : pdns-4.2.2-1pdns.el7.x86_64 2/6
Verifying : openlitespeed-1.6.11-1.el7.x86_64 3/6
Verifying : openlitespeed-1.6.10-1.el7.x86_64 4/6
Verifying : pdns-backend-mysql-4.2.1-1pdns.el7.x86_64 5/6
Verifying : pdns-4.2.1-1pdns.el7.x86_64 6/6

Updated:
openlitespeed.x86_64 0:1.6.11-1.el7 pdns.x86_64 0:4.2.2-1pdns.el7
pdns-backend-mysql.x86_64 0:4.2.2-1pdns.el7

Complete!
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile

  • epel: mirror.wd6.net
    12 packages excluded due to repository priority protections
    Package yum-utils-1.1.31-52.el7.noarch already installed and latest version
    Nothing to do
    Loaded plugins: fastestmirror, priorities
    Loading mirror speeds from cached hostfile
  • epel: mirror.wd6.net
    12 packages excluded due to repository priority protections
    Maybe run: yum groups mark install (see man yum)
    No packages in any requested group available to install or update
    Loaded plugins: fastestmirror, priorities
    ius-release.rpm | 8.2 kB 00:00:00
    Examining /var/tmp/yum-root-uXSmmJ/ius-release.rpm: ius-release-2-1.el7.ius.noarch
    /var/tmp/yum-root-uXSmmJ/ius-release.rpm: does not update installed package.
    Error: Nothing to do
    Loaded plugins: fastestmirror, priorities
    Loading mirror speeds from cached hostfile
  • epel: mirror.wd6.net
    12 packages excluded due to repository priority protections
    Package python36u is obsoleted by python3, trying to install python3-3.6.8-10.el7.x86_64 instead
    Package python3-3.6.8-10.el7.x86_64 already installed and latest version
    Package python36u-pip is obsoleted by python3-pip, trying to install python3-pip-9.0.3-7.el7_7.noarch instead
    Package python3-pip-9.0.3-7.el7_7.noarch already installed and latest version
    Package python36u-devel is obsoleted by python3-devel, trying to install python3-devel-3.6.8-10.el7.x 86_64 instead
    Package python3-devel-3.6.8-10.el7.x86_64 already installed and latest version
    Nothing to do
    WARNING: pip is being invoked by an old script wrapper. This will fail in a future version of pip.
    Please see ImportError in system pip wrappers after an upgrade · Issue #5599 · pypa/pip · GitHub for advice on fixing the underlying issue.
    To avoid this problem you can invoke Python with ‘-m pip’ instead of running pip directly.
    Requirement already satisfied: virtualenv==16.7.9 in /usr/local/lib/python3.6/site-packages (16.7.9)
    Already using interpreter /usr/bin/python3
    Using base prefix ‘/usr’
    No LICENSE.txt / LICENSE found in source
    New python executable in /usr/local/CyberPanel/bin/python3
    Also creating executable in /usr/local/CyberPanel/bin/python
    Installing setuptools, pip, wheel…
    done.
    –2020-04-09 13:29:41-- https://raw.githubusercontent.com/usmannasir/cyberpanel/v2.0.0/requirments.t xt
    Resolving raw.githubusercontent.com (raw.githubusercontent.com)… 151.101.120.133
    Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443… connected .
    HTTP request sent, awaiting response… 200 OK
    Length: 1103 (1.1K) [text/plain]
    Saving to: ‘requirements.txt’

100%[===========================================================>] 1,103 --.-K/s in 0s

2020-04-09 13:29:42 (30.3 MB/s) - ‘requirements.txt’ saved [1103/1103]

Collecting acme==0.21.1
Using cached acme-0.21.1-py2.py3-none-any.whl (68 kB)
Collecting asgiref==3.2.3
Using cached asgiref-3.2.3-py2.py3-none-any.whl (18 kB)
Collecting asn1crypto==0.24.0
Using cached asn1crypto-0.24.0-py2.py3-none-any.whl (101 kB)
Processing ./.cache/pip/wheels/e2/6d/c2/240c9e7812c4cdba98e3dab5376ff0c92b41b923d4f008a294/Babel-0.9. 6-cp36-none-any.whl
Processing ./.cache/pip/wheels/99/7e/f7/a88a9bcf7a3bd6b12cf6a74eee8c89746aaa02f71ab7b33939/backports. ssl_match_hostname-3.5.0.1-cp36-none-any.whl
Collecting bcrypt==3.1.7
Using cached bcrypt-3.1.7-cp34-abi3-manylinux1_x86_64.whl (56 kB)
Collecting boto3==1.9.64
Using cached boto3-1.9.64-py2.py3-none-any.whl (128 kB)
Collecting botocore==1.12.64
Using cached botocore-1.12.64-py2.py3-none-any.whl (5.1 MB)
Collecting certbot==0.21.1
Using cached certbot-0.21.1-py2.py3-none-any.whl (281 kB)
Collecting certifi==2018.4.16
Using cached certifi-2018.4.16-py2.py3-none-any.whl (150 kB)
Collecting cffi==1.11.5
Using cached cffi-1.11.5-cp36-cp36m-manylinux1_x86_64.whl (421 kB)
Collecting chardet==3.0.4
Using cached chardet-3.0.4-py2.py3-none-any.whl (133 kB)
Processing ./.cache/pip/wheels/d6/32/27/61e45e8cbb2ade93ea4ee7a0267b5fbb2434a21a522ec81209/cloudflare -2.6.1-py3-none-any.whl
Processing ./.cache/pip/wheels/d7/4e/7c/9378653fb754e242dc8dd36d77ea9c3ba73a65dd99b7a36927/ConfigArgP arse-0.15.2-cp36-none-any.whl
Processing ./.cache/pip/wheels/f1/e4/16/4981ca97c2d65106b49861e0b35e2660695be7219a2d351ee0/configobj- 5.0.6-cp36-none-any.whl
Collecting cryptography==2.8
Using cached cryptography-2.8-cp34-abi3-manylinux2010_x86_64.whl (2.3 MB)
Processing ./.cache/pip/wheels/3e/fe/a5/855c94c43e307516205d85a417668be7484d7a2f05226d642a/decorator- 3.4.0-cp36-none-any.whl
Collecting Django==3.0.1
Using cached Django-3.0.1-py3-none-any.whl (7.4 MB)
Collecting docker==3.6.0
Using cached docker-3.6.0-py2.py3-none-any.whl (131 kB)
Collecting docker-pycreds==0.4.0
Using cached docker_pycreds-0.4.0-py2.py3-none-any.whl (9.0 kB)
Collecting docutils==0.14
Using cached docutils-0.14-py3-none-any.whl (543 kB)
Collecting enum34==1.1.6
Using cached enum34-1.1.6-py3-none-any.whl (12 kB)
Collecting funcsigs==1.0.2
Using cached funcsigs-1.0.2-py2.py3-none-any.whl (17 kB)
Processing ./.cache/pip/wheels/8b/99/a0/81daf51dcd359a9377b110a8a886b3895921802d2fc1b2397e/future-0.1 8.2-cp36-none-any.whl
Collecting idna==2.6
Using cached idna-2.6-py2.py3-none-any.whl (56 kB)
Processing ./.cache/pip/wheels/22/69/49/084bd4eedbee01628bb74ac8785d500e32c81f44e10584b01f/ipaddress- 1.0.16-cp36-none-any.whl
Processing ./.cache/pip/wheels/7f/2a/c8/9c0ca733925ad3eac7ce602bee0bd13d41a2255057b1b4ab22/IPy-0.75-c p36-none-any.whl
Processing ./.cache/pip/wheels/59/a3/6b/51924066cac6ac011024f40b5575b7a4a0a146836644d8b4cf/Jinja2-2.7 .2-cp36-none-any.whl
Collecting jmespath==0.9.3
Using cached jmespath-0.9.3-py2.py3-none-any.whl (23 kB)
Collecting josepy==1.1.0
Using cached josepy-1.1.0-py2.py3-none-any.whl (53 kB)
Processing ./.cache/pip/wheels/63/2d/6f/1eb718d7511f80218026f9d6db3aec8b356a7d1f4037a6b716/jsonpatch- 1.2-cp36-none-any.whl
Processing ./.cache/pip/wheels/f5/ee/c4/a497a504e1dcd8c5a39461346673485f346d9c1263fb951f64/jsonpointe r-1.9-cp36-none-any.whl
Processing ./.cache/pip/wheels/f6/d4/a9/0213fe11265107403c0779d785425682e8de0d9e1fe0b4b109/MarkupSafe -0.19-cp36-cp36m-linux_x86_64.whl
Collecting mock==2.0.0
Using cached mock-2.0.0-py2.py3-none-any.whl (56 kB)
Processing ./.cache/pip/wheels/37/3d/24/5327fa50817a65ed0ee4dc8809e5c39962b0dd5e078ebf4dc1/mysqlclien t-1.4.6-cp36-cp36m-linux_x86_64.whl
Collecting paramiko==2.6.0
Using cached paramiko-2.6.0-py2.py3-none-any.whl (199 kB)
Processing ./.cache/pip/wheels/e9/d0/db/aa6af26d9762852afc0c982d96f9b4f29a373205889453555b/parsedatet ime-2.4-cp36-none-any.whl
Collecting pbr==4.0.4
Using cached pbr-4.0.4-py2.py3-none-any.whl (98 kB)
Collecting pexpect==4.4.0
Using cached pexpect-4.4.0-py2.py3-none-any.whl (56 kB)
Processing ./.cache/pip/wheels/80/34/1c/3967380d9676d162cb59513bd9dc862d0584e045a162095606/prettytabl e-0.7.2-cp36-none-any.whl
Processing ./.cache/pip/wheels/fe/33/84/baea3d665de2d1af7e8f827f3883811bba5e4149443ccf8191/psutil-5.4 .3-cp36-cp36m-linux_x86_64.whl
Collecting ptyprocess==0.6.0
Using cached ptyprocess-0.6.0-py2.py3-none-any.whl (39 kB)
Processing ./.cache/pip/wheels/b5/ff/71/cff9392476c0a67a4c2979be98a798010bc5a0b6be37b7102e/py3dns-3.2 .1-cp36-none-any.whl
Processing ./.cache/pip/wheels/c0/a1/27/5ba234bd77ea5a290cbf6d675259ec52293193467a12ef1f46/pycparser- 2.18-py2.py3-none-any.whl
Processing ./.cache/pip/wheels/cb/d2/96/7aedaf9bf5201c18f823b5845e0c9551a73a3b4cebd880e394/pygpgme-0. 3-cp36-cp36m-linux_x86_64.whl
Collecting PyNaCl==1.3.0
Using cached PyNaCl-1.3.0-cp34-abi3-manylinux1_x86_64.whl (759 kB)
Collecting pyOpenSSL==17.5.0
Using cached pyOpenSSL-17.5.0-py2.py3-none-any.whl (53 kB)
Collecting pyRFC3339==1.1
Using cached pyRFC3339-1.1-py2.py3-none-any.whl (5.7 kB)
Collecting python-dateutil==2.7.5
Using cached python_dateutil-2.7.5-py2.py3-none-any.whl (225 kB)
Collecting pytz==2018.4
Using cached pytz-2018.4-py2.py3-none-any.whl (510 kB)
Processing ./.cache/pip/wheels/48/07/93/77ac09fe1d7164d9bb194b78cb98832aa7e104840c9cdecc0c/pyudev-0.1 5-cp36-none-any.whl
Processing ./.cache/pip/wheels/40/c3/84/7c9a5d1dc2d3dd3a43206a0f825254987d77a6c2bd02c0165f/pyxattr-0. 7.1-cp36-cp36m-linux_x86_64.whl
Processing ./.cache/pip/wheels/ab/da/46/2f3778bfc6d5ec360917e3eeff42bade7d0497ad6879b1c05c/PyYAML-3.1 0-cp36-cp36m-linux_x86_64.whl
Collecting requests==2.18.4
Using cached requests-2.18.4-py2.py3-none-any.whl (88 kB)
Collecting requests-file==1.4.3
Using cached requests_file-1.4.3-py2.py3-none-any.whl (4.0 kB)
Collecting s3transfer==0.1.13
Using cached s3transfer-0.1.13-py2.py3-none-any.whl (59 kB)
Processing ./.cache/pip/wheels/9f/d7/59/3026f39bd579bf6b18560faa960fd38957f31fe5ed845433e3/SimpleWebS ocketServer-0.1.1-cp36-none-any.whl
Collecting six==1.13.0
Using cached six-1.13.0-py2.py3-none-any.whl (10 kB)
Collecting sqlparse==0.3.0
Using cached sqlparse-0.3.0-py2.py3-none-any.whl (39 kB)
Collecting tldextract==2.2.0
Using cached tldextract-2.2.0-py2.py3-none-any.whl (52 kB)
Collecting urllib3==1.22
Using cached urllib3-1.22-py2.py3-none-any.whl (132 kB)
Collecting websocket-client==0.56.0
Using cached websocket_client-0.56.0-py2.py3-none-any.whl (200 kB)
Collecting zope.component==4.4.1
Using cached zope.component-4.4.1-py2.py3-none-any.whl (70 kB)
Collecting zope.event==4.3.0
Using cached zope.event-4.3.0-py2.py3-none-any.whl (7.6 kB)
Collecting zope.interface==4.5.0
Using cached zope.interface-4.5.0-cp36-cp36m-manylinux1_x86_64.whl (166 kB)
Processing ./.cache/pip/wheels/8b/85/b7/d66f043645abae3e0bbf70de7ad73b8045230fd26db2f2009e/validators -0.14.2-py3-none-any.whl
Collecting setuptools>=1.0
Using cached setuptools-46.1.3-py3-none-any.whl (582 kB)
Collecting jsonlines
Using cached jsonlines-1.2.0-py2.py3-none-any.whl (7.6 kB)
Installing collected packages: six, pycparser, cffi, cryptography, pyOpenSSL, setuptools, josepy, pyt z, pyRFC3339, pbr, mock, certifi, idna, urllib3, chardet, requests, acme, asgiref, asn1crypto, Babel, backports.ssl-match-hostname, bcrypt, docutils, jmespath, python-dateutil, botocore, s3transfer, bot o3, zope.event, zope.interface, zope.component, ConfigArgParse, future, parsedatetime, configobj, cer tbot, PyYAML, jsonlines, cloudflare, decorator, sqlparse, Django, docker-pycreds, websocket-client, d ocker, enum34, funcsigs, ipaddress, IPy, MarkupSafe, Jinja2, jsonpointer, jsonpatch, mysqlclient, PyN aCl, paramiko, ptyprocess, pexpect, prettytable, psutil, py3dns, pygpgme, pyudev, pyxattr, requests-f ile, SimpleWebSocketServer, tldextract, validators
Successfully installed Babel-0.9.6 ConfigArgParse-0.15.2 Django-3.0.1 IPy-0.75 Jinja2-2.7.2 MarkupSaf e-0.19 PyNaCl-1.3.0 PyYAML-3.10 SimpleWebSocketServer-0.1.1 acme-0.21.1 asgiref-3.2.3 asn1crypto-0.24 .0 backports.ssl-match-hostname-3.5.0.1 bcrypt-3.1.7 boto3-1.9.64 botocore-1.12.64 certbot-0.21.1 cer tifi-2018.4.16 cffi-1.11.5 chardet-3.0.4 cloudflare-2.6.1 configobj-5.0.6 cryptography-2.8 decorator- 3.4.0 docker-3.6.0 docker-pycreds-0.4.0 docutils-0.14 enum34-1.1.6 funcsigs-1.0.2 future-0.18.2 idna- 2.6 ipaddress-1.0.16 jmespath-0.9.3 josepy-1.1.0 jsonlines-1.2.0 jsonpatch-1.2 jsonpointer-1.9 mock-2 .0.0 mysqlclient-1.4.6 paramiko-2.6.0 parsedatetime-2.4 pbr-4.0.4 pexpect-4.4.0 prettytable-0.7.2 psu til-5.4.3 ptyprocess-0.6.0 py3dns-3.2.1 pyOpenSSL-17.5.0 pyRFC3339-1.1 pycparser-2.18 pygpgme-0.3 pyt hon-dateutil-2.7.5 pytz-2018.4 pyudev-0.15 pyxattr-0.7.1 requests-2.18.4 requests-file-1.4.3 s3transf er-0.1.13 setuptools-46.1.3 six-1.13.0 sqlparse-0.3.0 tldextract-2.2.0 urllib3-1.22 validators-0.14.2 websocket-client-0.56.0 zope.component-4.4.1 zope.event-4.3.0 zope.interface-4.5.0
Already using interpreter /usr/bin/python3
Using base prefix ‘/usr’
No LICENSE.txt / LICENSE found in source
New python executable in /usr/local/CyberPanel/bin/python3
Not overwriting existing python script /usr/local/CyberPanel/bin/python (you must use /usr/local/Cybe rPanel/bin/python3)
Installing setuptools, pip, wheel…
done.
–2020-04-09 13:30:19-- https://raw.githubusercontent.com/usmannasir/cyberpanel/v2.0.0/plogical/upgr ade.py
Resolving raw.githubusercontent.com (raw.githubusercontent.com)… 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443… connected .
HTTP request sent, awaiting response… 200 OK
Length: 81023 (79K) [text/plain]
Saving to: ‘upgrade.py’

100%[===========================================================>] 81,023 --.-K/s in 0.01s

2020-04-09 13:30:19 (6.33 MB/s) - ‘upgrade.py’ saved [81023/81023]

/usr/local/cyberpanel_upgrade.sh: line 225: 25190 Killed /usr/local/CyberPanel/bin/p ython upgrade.py $BRANCH_NAME

command failed, exiting…
[root@server1 ~]#

please try this

`wget https://raw.githubusercontent.com/usmannasir/cyberpanel/stable/cyberpanel_upgrade.sh

chmod +x cyberpanel_upgrade.sh

script /root/debug.log

bash -x cyberpanel_upgrade.sh
`
after above command completed or error out , run

exit

then post /root/debug.log

Script started, file is /root/debug.log

bash -x cyberpanel_upgrade.sh
This server has installed CyberPanel.
Visit https://www.cyberpanel.net
Forum https://forums.cyberpanel.net
Log in https://37.59.53.125:8090

Current Server time : 2020-04-09 20:54:42.
Current Load average: 30.88, 11.03, 4.86
Current CPU usage : 2.50355%.
Current RAM usage : 1317/32206MB (4.09%).
Current Disk usage : 14/20GB (77%).
System uptime : 6 days, 13 hours, 43 minutes.

Enjoy your accelerated Internet by CyberPanel.

[root@server1 ~]#
[root@server1 ~]# bash -x cyberpanel_upgrade.sh

  • export LC_CTYPE=en_US.UTF-8
  • LC_CTYPE=en_US.UTF-8
    ++ set
  • SUDO_TEST=‘BASH=/usr/bin/bash
    BASHOPTS=cmdhist:extquote:force_fignore:hostcomplete:interactive_comments:progcomp:promptvars:sourcepath
    BASH_ALIASES=()
    BASH_ARGC=()
    BASH_ARGV=()
    BASH_CMDS=()
    BASH_LINENO=([0]=“0”)
    BASH_SOURCE=([0]=“cyberpanel_upgrade.sh”)
    BASH_VERSINFO=([0]=“4” [1]=“2” [2]=“46” [3]=“2” [4]=“release” [5]=“x86_64-redhat-linux-gnu”)
    BASH_VERSION=’\’‘4.2.46(2)-release’\’’
    DIRSTACK=()
    EUID=0
    GROUPS=()
    HISTCONTROL=ignoredups
    HISTSIZE=1000
    HOME=/root
    HOSTNAME=server1.passname.net
    HOSTTYPE=x86_64
    IFS=$’\’’ \t
    ‘\’’
    LANG=en_US.UTF-8
    LC_CTYPE=en_US.UTF-8
    LESSOPEN=’\’’||/usr/bin/lesspipe.sh %s’\’’
    LE_WORKING_DIR=/root/.acme.sh
    LOGNAME=root
    LS_COLORS=’\’‘rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:.tar=01;31:.tgz=01;31:.arc=01;31:.arj=01;31:.taz=01;31:.lha=01;31:.lz4=01;31:.lzh=01;31:.lzma=01;31:.tlz=01;31:.txz=01;31:.tzo=01;31:.t7z=01;31:.zip=01;31:.z=01;31:.Z=01;31:.dz=01;31:.gz=01;31:.lrz=01;31:.lz=01;31:.lzo=01;31:.xz=01;31:.bz2=01;31:.bz=01;31:.tbz=01;31:.tbz2=01;31:.tz=01;31:.deb=01;31:.rpm=01;31:.jar=01;31:.war=01;31:.ear=01;31:.sar=01;31:.rar=01;31:.alz=01;31:.ace=01;31:.zoo=01;31:.cpio=01;31:.7z=01;31:.rz=01;31:.cab=01;31:.jpg=01;35:.jpeg=01;35:.gif=01;35:.bmp=01;35:.pbm=01;35:.pgm=01;35:.ppm=01;35:.tga=01;35:.xbm=01;35:.xpm=01;35:.tif=01;35:.tiff=01;35:.png=01;35:.svg=01;35:.svgz=01;35:.mng=01;35:.pcx=01;35:.mov=01;35:.mpg=01;35:.mpeg=01;35:.m2v=01;35:.mkv=01;35:.webm=01;35:.ogm=01;35:.mp4=01;35:.m4v=01;35:.mp4v=01;35:.vob=01;35:.qt=01;35:.nuv=01;35:.wmv=01;35:.asf=01;35:.rm=01;35:.rmvb=01;35:.flc=01;35:.avi=01;35:.fli=01;35:.flv=01;35:.gl=01;35:.dl=01;35:.xcf=01;35:.xwd=01;35:.yuv=01;35:.cgm=01;35:.emf=01;35:.axv=01;35:.anx=01;35:.ogv=01;35:.ogx=01;35:.aac=01;36:.au=01;36:.flac=01;36:.mid=01;36:.midi=01;36:.mka=01;36:.mp3=01;36:.mpc=01;36:.ogg=01;36:.ra=01;36:.wav=01;36:.axa=01;36:.oga=01;36:.spx=01;36:*.xspf=01;36:’\’’
    MACHTYPE=x86_64-redhat-linux-gnu
    MAIL=/var/spool/mail/root
    OPTERR=1
    OPTIND=1
    OSTYPE=linux-gnu
    PATH=/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin
    PIPESTATUS=([0]=“0”)
    PPID=16315
    PS4=’\’’+ ‘\’’
    PWD=/root
    QTDIR=/usr/lib64/qt-3.3
    QTINC=/usr/lib64/qt-3.3/include
    QTLIB=/usr/lib64/qt-3.3/lib
    QT_GRAPHICSSYSTEM_CHECKED=1
    SHELL=/bin/bash
    SHELLOPTS=braceexpand:hashall:interactive-comments:xtrace
    SHLVL=4
    SSH_CLIENT=’\’‘2.85.0.55 53252 22’\’’
    SSH_CONNECTION=’\’‘2.85.0.55 53252 37.59.53.125 22’\’’
    SSH_TTY=/dev/pts/0
    TERM=xterm
    UID=0
    USER=root
    XDG_RUNTIME_DIR=/run/user/0
    XDG_SESSION_ID=c1483
    _=LC_CTYPE’
  • SERVER_OS=Undefined
    ++ cat /etc/centos-release /etc/os-release /etc/redhat-release /etc/system-release
  • OUTPUT='CentOS Linux release 7.7.1908 (Core)
    NAME=“CentOS Linux”
    VERSION=“7 (Core)”
    ID=“centos”
    ID_LIKE=“rhel fedora”
    VERSION_ID=“7”
    PRETTY_NAME=“CentOS Linux 7 (Core)”
    ANSI_COLOR=“0;31”
    CPE_NAME=“cpe:/o:centos:centos:7”
    HOME_URL=“https://www.centos.org/
    BUG_REPORT_URL=“https://bugs.centos.org/

CENTOS_MANTISBT_PROJECT=“CentOS-7”
CENTOS_MANTISBT_PROJECT_VERSION=“7”
REDHAT_SUPPORT_PRODUCT=“centos”
REDHAT_SUPPORT_PRODUCT_VERSION=“7”

CentOS Linux release 7.7.1908 (Core)
CentOS Linux release 7.7.1908 (Core)’
++ curl --silent https://cyberpanel.net/version.txt

Checking server…

  • [[ FR == \C\ ]]
  • input_branch
  • echo -e ’
    Press Enter key to continue with latest version or Enter specific version such as: \e[31m1.9.4\e[39m , \e[31m1.9.5\e[39m …etc’

Press Enter key to continue with latest version or Enter specific version such as: 1.9.4 , 1.9.5 …etc

  • echo -e ’
    If nothing is input in 10 seconds , script will proceed with latest stable. ’

If nothing is input in 10 seconds , script will proceed with latest stable.

  • echo -e ’
    Please press Enter key , or specify a version number ,or wait for 10 seconds timeout: ’

Please press Enter key , or specify a version number ,or wait for 10 seconds timeout:

  • printf %s ‘’
  • read -t 10 TMP_YN
  • [[ ‘’ == ‘’ ]]
  • BRANCH_NAME=v2.0.0
  • echo -e ’
    Branch name set to v2.0.0’

Branch name set to v2.0.0

  • check_root
  • echo -e ’
    Checking root privileges…

Checking root privileges…

  • grep SUDO
  • echo BASH=/usr/bin/bash BASHOPTS=cmdhist:extquote:force_fignore:hostcomplete:interactive_comments:progcomp:promptvars:sourcepath ‘BASH_ALIASES=()’ ‘BASH_ARGC=()’ ‘BASH_ARGV=()’ ‘BASH_CMDS=()’ ‘BASH_LINENO=([0]=“0”)’ ‘BASH_SOURCE=([0]=“cyberpanel_upgrade.sh”)’ ‘BASH_VERSINFO=([0]=“4”’ ‘[1]=“2”’ ‘[2]=“46”’ ‘[3]=“2”’ ‘[4]=“release”’ ‘[5]=“x86_64-redhat-linux-gnu”)’ ‘BASH_VERSION=’\’‘4.2.46(2)-release’\’’’ ‘DIRSTACK=()’ EUID=0 ‘GROUPS=()’ HISTCONTROL=ignoredups HISTSIZE=1000 HOME=/root HOSTNAME=server1.passname.net HOSTTYPE=x86_64 ‘IFS=$’\’’’ ‘\t
    ‘\’’’ LANG=en_US.UTF-8 LC_CTYPE=en_US.UTF-8 ‘LESSOPEN=’\’’||/usr/bin/lesspipe.sh’ ‘%s’\’’’ LE_WORKING_DIR=/root/.acme.sh LOGNAME=root ‘LS_COLORS=’\’‘rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:.tar=01;31:.tgz=01;31:.arc=01;31:.arj=01;31:.taz=01;31:.lha=01;31:.lz4=01;31:.lzh=01;31:.lzma=01;31:.tlz=01;31:.txz=01;31:.tzo=01;31:.t7z=01;31:.zip=01;31:.z=01;31:.Z=01;31:.dz=01;31:.gz=01;31:.lrz=01;31:.lz=01;31:.lzo=01;31:.xz=01;31:.bz2=01;31:.bz=01;31:.tbz=01;31:.tbz2=01;31:.tz=01;31:.deb=01;31:.rpm=01;31:.jar=01;31:.war=01;31:.ear=01;31:.sar=01;31:.rar=01;31:.alz=01;31:.ace=01;31:.zoo=01;31:.cpio=01;31:.7z=01;31:.rz=01;31:.cab=01;31:.jpg=01;35:.jpeg=01;35:.gif=01;35:.bmp=01;35:.pbm=01;35:.pgm=01;35:.ppm=01;35:.tga=01;35:.xbm=01;35:.xpm=01;35:.tif=01;35:.tiff=01;35:.png=01;35:.svg=01;35:.svgz=01;35:.mng=01;35:.pcx=01;35:.mov=01;35:.mpg=01;35:.mpeg=01;35:.m2v=01;35:.mkv=01;35:.webm=01;35:.ogm=01;35:.mp4=01;35:.m4v=01;35:.mp4v=01;35:.vob=01;35:.qt=01;35:.nuv=01;35:.wmv=01;35:.asf=01;35:.rm=01;35:.rmvb=01;35:.flc=01;35:.avi=01;35:.fli=01;35:.flv=01;35:.gl=01;35:.dl=01;35:.xcf=01;35:.xwd=01;35:.yuv=01;35:.cgm=01;35:.emf=01;35:.axv=01;35:.anx=01;35:.ogv=01;35:.ogx=01;35:.aac=01;36:.au=01;36:.flac=01;36:.mid=01;36:.midi=01;36:.mka=01;36:.mp3=01;36:.mpc=01;36:.ogg=01;36:.ra=01;36:.wav=01;36:.axa=01;36:.oga=01;36:.spx=01;36:*.xspf=01;36:’\’’’ MACHTYPE=x86_64-redhat-linux-gnu MAIL=/var/spool/mail/root OPTERR=1 OPTIND=1 OSTYPE=linux-gnu PATH=/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin ‘PIPESTATUS=([0]=“0”)’ PPID=16315 ‘PS4=’\’’+’ ‘’\’’’ PWD=/root QTDIR=/usr/lib64/qt-3.3 QTINC=/usr/lib64/qt-3.3/include QTLIB=/usr/lib64/qt-3.3/lib QT_GRAPHICSSYSTEM_CHECKED=1 SHELL=/bin/bash SHELLOPTS=braceexpand:hashall:interactive-comments:xtrace SHLVL=4 ‘SSH_CLIENT=’\’‘2.85.0.55’ 53252 ‘22’\’’’ ‘SSH_CONNECTION=’\’‘2.85.0.55’ 53252 37.59.53.125 ‘22’\’’’ SSH_TTY=/dev/pts/0 TERM=xterm UID=0 USER=root XDG_RUNTIME_DIR=/run/user/0 XDG_SESSION_ID=c1483 _=LC_CTYPE
    ++ id -u
  • [[ 0 != 0 ]]
  • echo -e ’
    You are runing as root…

You are runing as root…

  • echo -e ’
    Checking OS…’

Checking OS…
++ cat /etc/centos-release /etc/os-release /etc/redhat-release /etc/system-release

  • OUTPUT='CentOS Linux release 7.7.1908 (Core)
    NAME=“CentOS Linux”
    VERSION=“7 (Core)”
    ID=“centos”
    ID_LIKE=“rhel fedora”
    VERSION_ID=“7”
    PRETTY_NAME=“CentOS Linux 7 (Core)”
    ANSI_COLOR=“0;31”
    CPE_NAME=“cpe:/o:centos:centos:7”
    HOME_URL=“https://www.centos.org/
    BUG_REPORT_URL=“https://bugs.centos.org/

CENTOS_MANTISBT_PROJECT=“CentOS-7”
CENTOS_MANTISBT_PROJECT_VERSION=“7”
REDHAT_SUPPORT_PRODUCT=“centos”
REDHAT_SUPPORT_PRODUCT_VERSION=“7”

CentOS Linux release 7.7.1908 (Core)
CentOS Linux release 7.7.1908 (Core)’

  • grep -q ‘CentOS Linux 7’
  • echo CentOS Linux release 7.7.1908 ‘(Core)’ ‘NAME="CentOS’ ‘Linux"’ ‘VERSION="7’ ‘(Core)"’ ‘ID=“centos”’ ‘ID_LIKE="rhel’ ‘fedora"’ ‘VERSION_ID=“7”’ ‘PRETTY_NAME="CentOS’ Linux 7 ‘(Core)"’ ‘ANSI_COLOR=“0;31”’ ‘CPE_NAME=“cpe:/o:centos:centos:7”’ ‘HOME_URL=“https://www.centos.org/”’ ‘BUG_REPORT_URL=“https://bugs.centos.org/”’ ‘CENTOS_MANTISBT_PROJECT=“CentOS-7”’ ‘CENTOS_MANTISBT_PROJECT_VERSION=“7”’ ‘REDHAT_SUPPORT_PRODUCT=“centos”’ ‘REDHAT_SUPPORT_PRODUCT_VERSION=“7”’ CentOS Linux release 7.7.1908 ‘(Core)’ CentOS Linux release 7.7.1908 ‘(Core)’
  • echo -e ’
    Detecting CentOS 7.X…

Detecting CentOS 7.X…

  • SERVER_OS=CentOS7
  • yum clean all
    Loaded plugins: fastestmirror, priorities
    Cleaning repos: OVH-metrics OVH-rtm base
    : copr:copr.fedorainfracloud.org:copart:restic dovecot-2.3-latest
    : epel extras gf gf-plus ius litespeed-mirror
    : litespeed-update-mirror lux mariadb-mirror ovhkernel
    : powerdns-auth-42 updates
    Cleaning up list of fastest mirrors
    Other repos take up 4.7 M of disk space (use --verbose for details)
  • yum update -y
    Loaded plugins: fastestmirror, priorities
    Determining fastest mirrors
    epel/x86_64/metalink | 31 kB 00:00
  • epel: mirror.neostrada.nl
    OVH-metrics | 2.9 kB 00:00
    OVH-rtm | 2.9 kB 00:00
    base | 3.6 kB 00:00
    copr:copr.fedorainfracloud.org:copart:restic | 3.3 kB 00:00
    dovecot-2.3-latest | 2.9 kB 00:00
    epel | 4.7 kB 00:00
    extras | 2.9 kB 00:00
    gf | 2.9 kB 00:00
    gf-plus | 2.9 kB 00:00
    ius | 1.3 kB 00:00
    litespeed-mirror | 3.6 kB 00:00
    litespeed-update-mirror | 3.6 kB 00:00
    lux | 2.9 kB 00:00
    mariadb-mirror | 2.9 kB 00:00
    ovhkernel | 2.9 kB 00:00
    powerdns-auth-42 | 2.9 kB 00:00
    updates | 2.9 kB 00:00
    (1/22): base/7/x86_64/group_gz | 165 kB 00:00
    (2/22): dovecot-2.3-latest/7/x86_64/primary_db | 10 kB 00:00
    (3/22): OVH-rtm/7/x86_64/primary_db | 8.0 kB 00:00
    (4/22): copr:copr.fedorainfracloud.org:copart:restic/x86_6 | 3.1 kB 00:00
    (5/22): OVH-metrics/7/x86_64/primary_db | 9.6 kB 00:00
    (6/22): extras/7/x86_64/primary_db | 165 kB 00:00
    (7/22): base/7/x86_64/primary_db | 6.0 MB 00:00
    (8/22): epel/x86_64/updateinfo | 1.0 MB 00:00
    (9/22): gf/x86_64/primary_db | 44 kB 00:00
    (10/22): epel/x86_64/primary_db | 6.8 MB 00:01
    (11/22): epel/x86_64/group_gz | 95 kB 00:01
    (12/22): gf-plus/x86_64/primary_db | 105 kB 00:00
    (13/22): litespeed-mirror/group_gz | 855 B 00:00
    (14/22): ius/x86_64/primary | 108 kB 00:01
    (15/22): mariadb-mirror/primary_db | 18 kB 00:00
    (16/22): litespeed-update-mirror/primary_db | 99 kB 00:00
    (17/22): ovhkernel/primary_db | 32 kB 00:00
    (18/22): litespeed-update-mirror/group_gz | 855 B 00:00
    (19/22): powerdns-auth-42/7/x86_64/primary_db | 59 kB 00:00
    (20/22): lux/7/primary_db | 1.1 MB 00:00
    (21/22): litespeed-mirror/primary_db | 160 kB 00:00
    (22/22): updates/7/x86_64/primary_db | 7.6 MB 00:00
    ius 458/458
    12 packages excluded due to repository priority protections
    No packages marked for update
  • ‘[’ CentOS7 = CentOS7 ‘]’
  • yum -y install yum-utils
    Loaded plugins: fastestmirror, priorities
    Loading mirror speeds from cached hostfile
  • epel: mirror.neostrada.nl
    12 packages excluded due to repository priority protections
    Package yum-utils-1.1.31-52.el7.noarch already installed and latest version
    Nothing to do
  • yum -y groupinstall development
    Loaded plugins: fastestmirror, priorities
    Loading mirror speeds from cached hostfile
  • epel: mirror.neostrada.nl
    12 packages excluded due to repository priority protections
    Maybe run: yum groups mark install (see man yum)
    No packages in any requested group available to install or update
  • yum -y install https://centos7.iuscommunity.org/ius-release.rpm
    Loaded plugins: fastestmirror, priorities
    ius-release.rpm | 8.2 kB 00:00
    Examining /var/tmp/yum-root-uXSmmJ/ius-release.rpm: ius-release-2-1.el7.ius.noarch
    /var/tmp/yum-root-uXSmmJ/ius-release.rpm: does not update installed package.
    Error: Nothing to do
  • yum -y install python36u python36u-pip python36u-devel
    Loaded plugins: fastestmirror, priorities
    Loading mirror speeds from cached hostfile
  • epel: mirror.neostrada.nl
    12 packages excluded due to repository priority protections
    Package python36u is obsoleted by python3, trying to install python3-3.6.8-10.el7.x86_64 instead
    Package python3-3.6.8-10.el7.x86_64 already installed and latest version
    Package python36u-pip is obsoleted by python3-pip, trying to install python3-pip-9.0.3-7.el7_7.noarch instead
    Package python3-pip-9.0.3-7.el7_7.noarch already installed and latest version
    Package python36u-devel is obsoleted by python3-devel, trying to install python3-devel-3.6.8-10.el7.x86_64 instead
    Package python3-devel-3.6.8-10.el7.x86_64 already installed and latest version
    Nothing to do

100%[======================================>] 1,103 --.-K/s in 0s

2020-04-09 20:57:30 (23.2 MB/s) - ‘requirements.txt’ saved [1103/1103]

  • . /usr/local/CyberPanel/bin/activate
    ++ ‘[’ /usr/local/CyberPanel/bin/activate = cyberpanel_upgrade.sh ‘]’
    ++ deactivate nondestructive
    ++ unset -f pydoc
    ++ ‘[’ -z ‘’ ‘]’
    ++ ‘[’ -z ‘’ ‘]’
    ++ ‘[’ -n /usr/bin/bash ‘]’
    ++ hash -r
    ++ ‘[’ -z ‘’ ‘]’
    ++ unset VIRTUAL_ENV
    ++ ‘[’ ‘!’ nondestructive = nondestructive ‘]’
    ++ VIRTUAL_ENV=/usr/local/CyberPanel
    ++ export VIRTUAL_ENV
    ++ _OLD_VIRTUAL_PATH=/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin
    ++ PATH=/usr/local/CyberPanel/bin:/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin
    ++ export PATH
    ++ ‘[’ -z ‘’ ‘]’
    ++ ‘[’ -z ‘’ ‘]’
    ++ _OLD_VIRTUAL_PS1=
    ++ ‘[’ x ‘!=’ x ‘]’
    +++ basename /usr/local/CyberPanel
    ++ PS1=’(CyberPanel) ’
    ++ export PS1
    ++ alias pydoc
    ++ true
    ++ ‘[’ -n /usr/bin/bash ‘]’
    ++ hash -r
  • check_return
  • [[ 0 -eq 0 ]]
  • :
  • ‘[’ CentOS7 = Ubuntu ‘]’
  • source /usr/local/CyberPanel/bin/activate
    ++ ‘[’ /usr/local/CyberPanel/bin/activate = cyberpanel_upgrade.sh ‘]’
    ++ deactivate nondestructive
    ++ unset -f pydoc
    ++ ‘[’ -z _ ‘]’
    ++ PATH=/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin
    ++ export PATH
    ++ unset _OLD_VIRTUAL_PATH
    ++ ‘[’ -z ‘’ ‘]’
    ++ ‘[’ -n /usr/bin/bash ‘]’
    ++ hash -r
    ++ ‘[’ -z _ ‘]’
    ++ PS1=
    ++ export PS1
    ++ unset _OLD_VIRTUAL_PS1
    ++ unset VIRTUAL_ENV
    ++ ‘[’ ‘!’ nondestructive = nondestructive ‘]’
    ++ VIRTUAL_ENV=/usr/local/CyberPanel
    ++ export VIRTUAL_ENV
    ++ _OLD_VIRTUAL_PATH=/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin
    ++ PATH=/usr/local/CyberPanel/bin:/usr/lib64/qt-3.3/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin
    ++ export PATH
    ++ ‘[’ -z ‘’ ‘]’
    ++ ‘[’ -z ‘’ ‘]’
    ++ _OLD_VIRTUAL_PS1=
    ++ ‘[’ x ‘!=’ x ‘]’
    +++ basename /usr/local/CyberPanel
    ++ PS1=’(CyberPanel) ’
    ++ export PS1
    ++ alias pydoc
    ++ true
    ++ ‘[’ -n /usr/bin/bash ‘]’
    ++ hash -r
  • check_return
  • [[ 0 -eq 0 ]]
  • :
  • pip3.6 install --ignore-installed -r requirements.txt
    Collecting acme==0.21.1
    Using cached acme-0.21.1-py2.py3-none-any.whl (68 kB)
    Collecting asgiref==3.2.3
    Using cached asgiref-3.2.3-py2.py3-none-any.whl (18 kB)
    Collecting asn1crypto==0.24.0
    Using cached asn1crypto-0.24.0-py2.py3-none-any.whl (101 kB)
    Processing ./.cache/pip/wheels/e2/6d/c2/240c9e7812c4cdba98e3dab5376ff0c92b41b923d4f008a294/Babel-0.9.6-cp36-none-any.whl
    Processing ./.cache/pip/wheels/99/7e/f7/a88a9bcf7a3bd6b12cf6a74eee8c89746aaa02f71ab7b33939/backports.ssl_match_hostname-3.5.0.1-cp36-none-any.whl
    Collecting bcrypt==3.1.7
    Using cached bcrypt-3.1.7-cp34-abi3-manylinux1_x86_64.whl (56 kB)
    Collecting boto3==1.9.64
    Using cached boto3-1.9.64-py2.py3-none-any.whl (128 kB)
    Collecting botocore==1.12.64
    Using cached botocore-1.12.64-py2.py3-none-any.whl (5.1 MB)
    Collecting certbot==0.21.1
    Using cached certbot-0.21.1-py2.py3-none-any.whl (281 kB)
    Collecting certifi==2018.4.16
    Using cached certifi-2018.4.16-py2.py3-none-any.whl (150 kB)
    Collecting cffi==1.11.5
    Using cached cffi-1.11.5-cp36-cp36m-manylinux1_x86_64.whl (421 kB)
    Collecting chardet==3.0.4
    Using cached chardet-3.0.4-py2.py3-none-any.whl (133 kB)
    Processing ./.cache/pip/wheels/d6/32/27/61e45e8cbb2ade93ea4ee7a0267b5fbb2434a21a522ec81209/cloudflare-2.6.1-py3-none-any.whl
    Processing ./.cache/pip/wheels/d7/4e/7c/9378653fb754e242dc8dd36d77ea9c3ba73a65dd99b7a36927/ConfigArgParse-0.15.2-cp36-none-any.whl
    Processing ./.cache/pip/wheels/f1/e4/16/4981ca97c2d65106b49861e0b35e2660695be7219a2d351ee0/configobj-5.0.6-cp36-none-any.whl
    Collecting cryptography==2.8
    Using cached cryptography-2.8-cp34-abi3-manylinux2010_x86_64.whl (2.3 MB)
    Processing ./.cache/pip/wheels/3e/fe/a5/855c94c43e307516205d85a417668be7484d7a2f05226d642a/decorator-3.4.0-cp36-none-any.whl
    Collecting Django==3.0.1
    Using cached Django-3.0.1-py3-none-any.whl (7.4 MB)
    Collecting docker==3.6.0
    Using cached docker-3.6.0-py2.py3-none-any.whl (131 kB)
    Collecting docker-pycreds==0.4.0
    Using cached docker_pycreds-0.4.0-py2.py3-none-any.whl (9.0 kB)
    Collecting docutils==0.14
    Using cached docutils-0.14-py3-none-any.whl (543 kB)
    Collecting enum34==1.1.6
    Using cached enum34-1.1.6-py3-none-any.whl (12 kB)
    Collecting funcsigs==1.0.2
    Using cached funcsigs-1.0.2-py2.py3-none-any.whl (17 kB)
    Processing ./.cache/pip/wheels/8b/99/a0/81daf51dcd359a9377b110a8a886b3895921802d2fc1b2397e/future-0.18.2-cp36-none-any.whl
    Collecting idna==2.6
    Using cached idna-2.6-py2.py3-none-any.whl (56 kB)
    Processing ./.cache/pip/wheels/22/69/49/084bd4eedbee01628bb74ac8785d500e32c81f44e10584b01f/ipaddress-1.0.16-cp36-none-any.whl
    Processing ./.cache/pip/wheels/7f/2a/c8/9c0ca733925ad3eac7ce602bee0bd13d41a2255057b1b4ab22/IPy-0.75-cp36-none-any.whl
    Processing ./.cache/pip/wheels/59/a3/6b/51924066cac6ac011024f40b5575b7a4a0a146836644d8b4cf/Jinja2-2.7.2-cp36-none-any.whl
    Collecting jmespath==0.9.3
    Using cached jmespath-0.9.3-py2.py3-none-any.whl (23 kB)
    Collecting josepy==1.1.0
    Using cached josepy-1.1.0-py2.py3-none-any.whl (53 kB)
    Processing ./.cache/pip/wheels/63/2d/6f/1eb718d7511f80218026f9d6db3aec8b356a7d1f4037a6b716/jsonpatch-1.2-cp36-none-any.whl
    Processing ./.cache/pip/wheels/f5/ee/c4/a497a504e1dcd8c5a39461346673485f346d9c1263fb951f64/jsonpointer-1.9-cp36-none-any.whl
    Processing ./.cache/pip/wheels/f6/d4/a9/0213fe11265107403c0779d785425682e8de0d9e1fe0b4b109/MarkupSafe-0.19-cp36-cp36m-linux_x86_64.whl
    Collecting mock==2.0.0
    Using cached mock-2.0.0-py2.py3-none-any.whl (56 kB)
    Processing ./.cache/pip/wheels/37/3d/24/5327fa50817a65ed0ee4dc8809e5c39962b0dd5e078ebf4dc1/mysqlclient-1.4.6-cp36-cp36m-linux_x86_64.whl
    Collecting paramiko==2.6.0
    Using cached paramiko-2.6.0-py2.py3-none-any.whl (199 kB)
    Processing ./.cache/pip/wheels/e9/d0/db/aa6af26d9762852afc0c982d96f9b4f29a373205889453555b/parsedatetime-2.4-cp36-none-any.whl
    Collecting pbr==4.0.4
    Using cached pbr-4.0.4-py2.py3-none-any.whl (98 kB)
    Collecting pexpect==4.4.0
    Using cached pexpect-4.4.0-py2.py3-none-any.whl (56 kB)
    Processing ./.cache/pip/wheels/80/34/1c/3967380d9676d162cb59513bd9dc862d0584e045a162095606/prettytable-0.7.2-cp36-none-any.whl
    Processing ./.cache/pip/wheels/fe/33/84/baea3d665de2d1af7e8f827f3883811bba5e4149443ccf8191/psutil-5.4.3-cp36-cp36m-linux_x86_64.whl
    Collecting ptyprocess==0.6.0
    Using cached ptyprocess-0.6.0-py2.py3-none-any.whl (39 kB)
    Processing ./.cache/pip/wheels/b5/ff/71/cff9392476c0a67a4c2979be98a798010bc5a0b6be37b7102e/py3dns-3.2.1-cp36-none-any.whl
    Processing ./.cache/pip/wheels/c0/a1/27/5ba234bd77ea5a290cbf6d675259ec52293193467a12ef1f46/pycparser-2.18-py2.py3-none-any.whl
    Processing ./.cache/pip/wheels/cb/d2/96/7aedaf9bf5201c18f823b5845e0c9551a73a3b4cebd880e394/pygpgme-0.3-cp36-cp36m-linux_x86_64.whl
    Collecting PyNaCl==1.3.0
    Using cached PyNaCl-1.3.0-cp34-abi3-manylinux1_x86_64.whl (759 kB)
    Collecting pyOpenSSL==17.5.0
    Using cached pyOpenSSL-17.5.0-py2.py3-none-any.whl (53 kB)
    Collecting pyRFC3339==1.1
    Using cached pyRFC3339-1.1-py2.py3-none-any.whl (5.7 kB)
    Collecting python-dateutil==2.7.5
    Using cached python_dateutil-2.7.5-py2.py3-none-any.whl (225 kB)
    Collecting pytz==2018.4
    Using cached pytz-2018.4-py2.py3-none-any.whl (510 kB)
    Processing ./.cache/pip/wheels/48/07/93/77ac09fe1d7164d9bb194b78cb98832aa7e104840c9cdecc0c/pyudev-0.15-cp36-none-any.whl
    Processing ./.cache/pip/wheels/40/c3/84/7c9a5d1dc2d3dd3a43206a0f825254987d77a6c2bd02c0165f/pyxattr-0.7.1-cp36-cp36m-linux_x86_64.whl
    Processing ./.cache/pip/wheels/ab/da/46/2f3778bfc6d5ec360917e3eeff42bade7d0497ad6879b1c05c/PyYAML-3.10-cp36-cp36m-linux_x86_64.whl
    Collecting requests==2.18.4
    Using cached requests-2.18.4-py2.py3-none-any.whl (88 kB)
    Collecting requests-file==1.4.3
    Using cached requests_file-1.4.3-py2.py3-none-any.whl (4.0 kB)
    Collecting s3transfer==0.1.13
    Using cached s3transfer-0.1.13-py2.py3-none-any.whl (59 kB)
    Processing ./.cache/pip/wheels/9f/d7/59/3026f39bd579bf6b18560faa960fd38957f31fe5ed845433e3/SimpleWebSocketServer-0.1.1-cp36-none-any.whl
    Collecting six==1.13.0
    Using cached six-1.13.0-py2.py3-none-any.whl (10 kB)
    Collecting sqlparse==0.3.0
    Using cached sqlparse-0.3.0-py2.py3-none-any.whl (39 kB)
    Collecting tldextract==2.2.0
    Using cached tldextract-2.2.0-py2.py3-none-any.whl (52 kB)
    Collecting urllib3==1.22
    Using cached urllib3-1.22-py2.py3-none-any.whl (132 kB)
    Collecting websocket-client==0.56.0
    Using cached websocket_client-0.56.0-py2.py3-none-any.whl (200 kB)
    Collecting zope.component==4.4.1
    Using cached zope.component-4.4.1-py2.py3-none-any.whl (70 kB)
    Collecting zope.event==4.3.0
    Using cached zope.event-4.3.0-py2.py3-none-any.whl (7.6 kB)
    Collecting zope.interface==4.5.0
    Using cached zope.interface-4.5.0-cp36-cp36m-manylinux1_x86_64.whl (166 kB)
    Processing ./.cache/pip/wheels/8b/85/b7/d66f043645abae3e0bbf70de7ad73b8045230fd26db2f2009e/validators-0.14.2-py3-none-any.whl
    Collecting setuptools>=1.0
    Using cached setuptools-46.1.3-py3-none-any.whl (582 kB)
    Collecting jsonlines
    Using cached jsonlines-1.2.0-py2.py3-none-any.whl (7.6 kB)
    Installing collected packages: urllib3, idna, certifi, chardet, requests, pytz, setuptools, six, pycparser, cffi, cryptography, pyOpenSSL, josepy, pyRFC3339, pbr, mock, acme, asgiref, asn1crypto, Babel, backports.ssl-match-hostname, bcrypt, jmespath, python-dateutil, docutils, botocore, s3transfer, boto3, zope.event, zope.interface, zope.component, configobj, ConfigArgParse, future, parsedatetime, certbot, jsonlines, PyYAML, cloudflare, decorator, sqlparse, Django, websocket-client, docker-pycreds, docker, enum34, funcsigs, ipaddress, IPy, MarkupSafe, Jinja2, jsonpointer, jsonpatch, mysqlclient, PyNaCl, paramiko, ptyprocess, pexpect, prettytable, psutil, py3dns, pygpgme, pyudev, pyxattr, requests-file, SimpleWebSocketServer, tldextract, validators
    Successfully installed Babel-0.9.6 ConfigArgParse-0.15.2 Django-3.0.1 IPy-0.75 Jinja2-2.7.2 MarkupSafe-0.19 PyNaCl-1.3.0 PyYAML-3.10 SimpleWebSocketServer-0.1.1 acme-0.21.1 asgiref-3.2.3 asn1crypto-0.24.0 backports.ssl-match-hostname-3.5.0.1 bcrypt-3.1.7 boto3-1.9.64 botocore-1.12.64 certbot-0.21.1 certifi-2018.4.16 cffi-1.11.5 chardet-3.0.4 cloudflare-2.6.1 configobj-5.0.6 cryptography-2.8 decorator-3.4.0 docker-3.6.0 docker-pycreds-0.4.0 docutils-0.14 enum34-1.1.6 funcsigs-1.0.2 future-0.18.2 idna-2.6 ipaddress-1.0.16 jmespath-0.9.3 josepy-1.1.0 jsonlines-1.2.0 jsonpatch-1.2 jsonpointer-1.9 mock-2.0.0 mysqlclient-1.4.6 paramiko-2.6.0 parsedatetime-2.4 pbr-4.0.4 pexpect-4.4.0 prettytable-0.7.2 psutil-5.4.3 ptyprocess-0.6.0 py3dns-3.2.1 pyOpenSSL-17.5.0 pyRFC3339-1.1 pycparser-2.18 pygpgme-0.3 python-dateutil-2.7.5 pytz-2018.4 pyudev-0.15 pyxattr-0.7.1 requests-2.18.4 requests-file-1.4.3 s3transfer-0.1.13 setuptools-46.1.3 six-1.13.0 sqlparse-0.3.0 tldextract-2.2.0 urllib3-1.22 validators-0.14.2 websocket-client-0.56.0 zope.component-4.4.1 zope.event-4.3.0 zope.interface-4.5.0
  • check_return
  • [[ 0 -eq 0 ]]
  • :
  • virtualenv -p /usr/bin/python3 --system-site-packages /usr/local/CyberPanel
    Already using interpreter /usr/bin/python3
    Using base prefix ‘/usr’
    No LICENSE.txt / LICENSE found in source
    New python executable in /usr/local/CyberPanel/bin/python3
    Not overwriting existing python script /usr/local/CyberPanel/bin/python (you must use /usr/local/CyberPanel/bin/python3)
    Installing setuptools, pip, wheel…
    done.
  • check_return
  • [[ 0 -eq 0 ]]
  • :
  • rm -rf upgrade.py
  • wget https://raw.githubusercontent.com/usmannasir/cyberpanel/v2.0.0/plogical/upgrade.py
    –2020-04-09 20:58:10-- https://raw.githubusercontent.com/usmannasir/cyberpanel/v2.0.0/plogical/upgrade.py
    Resolving raw.githubusercontent.com (raw.githubusercontent.com)… 151.101.120.133
    Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443… connected.
    HTTP request sent, awaiting response… 200 OK
    Length: 81023 (79K) [text/plain]
    Saving to: ‘upgrade.py’

100%[======================================>] 81,023 --.-K/s in 0.01s

2020-04-09 20:58:11 (5.96 MB/s) - ‘upgrade.py’ saved [81023/81023]

  • [[ FR == \C\ ]]
  • /usr/local/CyberPanel/bin/python upgrade.py v2.0.0
    cyberpanel_upgrade.sh: line 225: 17227 Killed /usr/local/CyberPanel/bin/python upgrade.py $BRANCH_NAME
  • check_return
  • [[ 137 -eq 0 ]]
  • echo -e ’
    command failed, exiting…’

command failed, exiting…

  • exit
    [root@server1 ~]#

cyberpanel_upgrade.sh: line 225: 17227 Killed /usr/local/CyberPanel/bin/python upgrade.py

it seems something killed process

can you DM me SSH access?

I got the same error, please help me?

debug.log: https://yadi.sk/d/kuy9Ep5tyS05aA